﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke ScopeMeter (UUT) Connection RS-232 /OC4USB
DATE:                  2018-01-04 14:58:46
AUTHOR:                Fluke
REVISION:              $Revision: 22306 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       79
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Models covered:
#        Fluke ScopeMeter® that use the OC4USB Optical Cable.
#
# Compatibility:
#        MET/CAL 8.0 or later
#
# Required Equipment:
#        FLUKE OC4USB Optical Cable for USB
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Abort = 0
  1.002  OPBR         -z Has the OC4USB driver been installed on the PC?

  1.003  IF           NOT(MEM1)
  1.004  DISP         Select "Terminate" and install the OC4USB driver
  1.004  DISP         according to the instructions in the following
  1.004  DISP         document supplied with the cable adapter.
  1.004  DISP
  1.004  DISP         Fluke OC4USB Optical Cable for USB Instruction Sheet
  1.005  MATH         @Abort = 1
  1.006  END
  1.007  ENDIF

  1.008  DISP         Connect the OC4USB to a PC USB port and the DUT.

# Get the current MET/CAL default serial port setting.
  1.009  MATH         Port = INI("startup", "port")

  1.010  OPBR         -z The MET/CAL "Default Serial Port" is currently
  1.010  OPBR         [V Port].
  1.010  OPBR
  1.010  OPBR         Is this the serial port that Windows automatically
  1.010  OPBR         assigned to the OC4USB when it was connected to
  1.010  OPBR         the PC?
  1.010  OPBR
  1.010  OPBR         See "Determining the USB Cable's COM Port" in the
  1.010  OPBR         following document supplied with the cable adapter.
  1.010  OPBR
  1.010  OPBR         FLUKE OC4USB Optical Cable for USB Instruction Sheet

  1.011  IF           NOT(MEM1)
  1.012  DISP         Select "Terminate" and perform the following:
  1.012  DISP         - From the menu bar, select
  1.012  DISP         [32] "Configure"=>"Default Serial Port"
  1.012  DISP         - Select the serial port that Windows assigned to the
  1.012  DISP         [32] OC4USB cable adapter when it was connected to the
  1.013  DISP         [32] PC.
  1.014  MATH         @Abort = 1
  1.015  ENDIF

  1.016  END
